#!/bin/sh

# %%%% TeXTallion %%%%
# Tiny almost-Kiss Word Processor
# http://anamnese.online.fr/site2/textallion/docs/presentation.html
# Complete source code: http://code.google.com/p/textallion/
# License: http://creativecommons.org/licenses/by-sa/3.0/

# initiate the variables, from the user's input

function create_new_doc(){
	
echo "What is the name of the document to be created? (Try to avoid accented letters and funky characters, you can still edit this in your document style later)"
read DOCUMENTNAME

echo "Who is the author?"
read AUTHORNAME

# replace space by underscore for the output files, remove accented letters, lower case

DOCUMENTFOLDER=`echo ${DOCUMENTNAME} | sed 's/ /_/g' | sed 's/\x27/_/g' | sed 's/[êèéëÊÈÉË]/e/g' | sed 's/[îìíïÎÏ]/i/g' | sed 's/[áåàäâÀÂÄ]/a/g' | sed 's/[øôóòöÔÖ]/o/g' | sed 's/[üûùúÙÛÜ]/u/g' | sed y/ABCDEFGHIJKLMNOPQRSTUVWXYZçÿ/abcdefghijklmnopqrstuvwxyzcy/ `
}



function setup(){
mkdir ~/${DOCUMENTFOLDER}

cp /usr/share/textallion/samples/makefile ~/${DOCUMENTFOLDER}
sed -i -e "s@DOCUMENT = examples@DOCUMENT = ${DOCUMENTFOLDER}@g" ~/${DOCUMENTFOLDER}/makefile
sed -i -e "s@--title 'Le Textallion (Your title)' --authors 'Eric Forgeot (Your name)'@--title '${DOCUMENTNAME}' --authors '${AUTHORNAME}'@g" ~/${DOCUMENTFOLDER}/makefile



cp /usr/share/textallion/includes/sample.css ~/${DOCUMENTFOLDER}/${DOCUMENTFOLDER}.css

cp /usr/share/textallion/includes/sample.sty ~/${DOCUMENTFOLDER}/${DOCUMENTFOLDER}.sty

sed -i -e "s@DOCUMENT_TITLE{TeXtallion - Sample document}@DOCUMENT_TITLE{${DOCUMENTNAME}}@g" ~/${DOCUMENTFOLDER}/${DOCUMENTFOLDER}.sty
sed -i -e "s@PDFAUTHOR{Name of the Author}@PDFAUTHOR{${AUTHORNAME}}@g" ~/${DOCUMENTFOLDER}/${DOCUMENTFOLDER}.sty


echo ${DOCUMENTNAME} > ~/${DOCUMENTFOLDER}/${DOCUMENTFOLDER}.t2t
echo ${AUTHORNAME}   >> ~/${DOCUMENTFOLDER}/${DOCUMENTFOLDER}.t2t
echo -e "`date +%Y-%m-%d`\n"   >> ~/${DOCUMENTFOLDER}/${DOCUMENTFOLDER}.t2t
echo -e "%!style(tex): ${DOCUMENTFOLDER}.sty\n" >> ~/${DOCUMENTFOLDER}/${DOCUMENTFOLDER}.t2t
echo -e "%!style(xhtml): ${DOCUMENTFOLDER}.css\n\n" >> ~/${DOCUMENTFOLDER}/${DOCUMENTFOLDER}.t2t
echo -e "%!includeconf: /usr/share/textallion/core/textallion.t2t\n" >> ~/${DOCUMENTFOLDER}/${DOCUMENTFOLDER}.t2t
echo -e "%!style(tex): /usr/share/textallion/core/textallion.sty\n\n" >> ~/${DOCUMENTFOLDER}/${DOCUMENTFOLDER}.t2t


echo "${DOCUMENTFOLDER} was created into your home folder. Now enter this folder, edit ~/${DOCUMENTFOLDER}/${DOCUMENTFOLDER}.t2t and at the end to generate the final documents, type \"make pdf\" or \"make html\"..."
}

function test_folder(){
if [ -e ~/${DOCUMENTFOLDER} ]; then 
	echo "This folder ~/${DOCUMENTFOLDER} is already present. Please choose another name or remove this folder, and run \"textallion\" again."
	exit
else
	setup
fi
}

create_new_doc
test_folder

